@media screen and (min-width: 1024px) {
    .lg\:grid-cols-2 {
        grid-template-columns: 50% 50% !important;
    }
}
/* datepicker */

.flatpickr-calendar {
    box-shadow: none !important;
    background: #f7f7f7;
    border-radius: 10px;
}
.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover {
    color: #ffc0c0;
}

.flatpickr-day.inRange,
.flatpickr-day.prevMonthDay.inRange,
.flatpickr-day.nextMonthDay.inRange,
.flatpickr-day.today.inRange,
.flatpickr-day.prevMonthDay.today.inRange,
.flatpickr-day.nextMonthDay.today.inRange,
.flatpickr-day:hover,
.flatpickr-day.prevMonthDay:hover,
.flatpickr-day.nextMonthDay:hover,
.flatpickr-day:focus,
.flatpickr-day.prevMonthDay:focus,
.flatpickr-day.nextMonthDay:focus {
    background: #86c1d3;
}
.flatpickr-day.selected,
.flatpickr-day.startRange,
.flatpickr-day.endRange,
.flatpickr-day.selected.inRange,
.flatpickr-day.startRange.inRange,
.flatpickr-day.endRange.inRange,
.flatpickr-day.selected:focus,
.flatpickr-day.startRange:focus,
.flatpickr-day.endRange:focus,
.flatpickr-day.selected:hover,
.flatpickr-day.startRange:hover,
.flatpickr-day.endRange:hover,
.flatpickr-day.selected.prevMonthDay,
.flatpickr-day.startRange.prevMonthDay,
.flatpickr-day.endRange.prevMonthDay,
.flatpickr-day.selected.nextMonthDay,
.flatpickr-day.startRange.nextMonthDay,
.flatpickr-day.endRange.nextMonthDay {
    background: #3b5860;
}

.flatpickr-calendar.inline,
.flatpickr-rContainer,
.flatpickr-days {
    width: 100%;
}

.dayContainer {
    min-width: min-content !important;
    width: 100% !important;
}
.flatpickr-days {
    width: -webkit-fill-available !important;
}
span.flatpickr-day {
    /* flex: 1 0 calc(100% / 7) !important;
    max-width: calc(100% / 7); */
    flex: 1 0 calc(100% / 7) !important;
    max-width: calc(100% / 7);
    font-size: 1rem;
    color: #023a59;
}
.flatpickr-calendar.rangeMode.animate.inline {
    max-width: -webkit-fill-available !important;
}

.flatpickr-day {
    border-radius: 0px;
}

.flatpickr-day.selected.startRange,
.flatpickr-day.startRange.startRange,
.flatpickr-day.endRange.startRange {
    border-radius: 0 !important;
    border: none !important;
}

.flatpickr-day.selected.endRange,
.flatpickr-day.startRange.endRange,
.flatpickr-day.endRange.endRange {
    border-radius: 0 !important;
    border: none !important;
}

.flatpickr-calendar.rangeMode.animate.inline {
    border-radius: 20px;
    padding: 10px;
}

.flatpickr-day.selected.startRange + .endRange:not(:nth-child(7n + 1)),
.flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n + 1)),
.flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n + 1)) {
    -webkit-box-shadow: none;
    box-shadow: none;
}
[dir="rtl"] span.flatpickr-weekday {
    font-weight: 500;
    font-size: 0.75rem;
}

#min_days_success {
    background: #a2ffae4d;
}
button#submit_btn.disabled {
    pointer-events: none !important;
    background: rgb(139 152 157 / var(--tw-bg-opacity));
}
.shake {
    animation: shake 0.5s ease-in-out;
}
@keyframes shake {
    0% {
        transform: translateX(0);
    }
    25% {
        transform: translateX(-5px);
    }
    50% {
        transform: translateX(5px);
    }
    75% {
        transform: translateX(-5px);
    }
    100% {
        transform: translateX(0);
    }
}

label.days_number {
    margin-inline-start: 10px;
    border: 1px solid #023a59;
    padding: 5px;
    border-radius: 8px;
    font-size: 14px;
    color: #023a59;
    cursor: pointer;
}
input.days_n_input:checked + label.days_number {
    background: #023a59 !important;
    color: #fff !important;
}
[dir=ltr] .dayContainer:nth-child(2),
[dir=ltr] .flatpickr-weekdaycontainer:nth-child(2) {
    border-left: 1px solid #023a59;
}
[dir=rtl] .dayContainer:nth-child(2),
[dir=rtl] .flatpickr-weekdaycontainer:nth-child(1) {
    border-right: 1px solid #023a59;
}

.flatpickr-months {
    margin-bottom: 1rem;
}

.flatpickr-calendar {
    border: 1px solid #023a59 ;
}
